<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login page</title>
  <link rel=”stylesheet” href=”https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/css/bootstrap.min.css”rel=”nofollow” integrity=”sha384-r4NyP46KrjDleawBgD5tp8Y7UzmLA05oM1iAEQ17CSuDqnUK2+k9luXQOfXJCJ4I” crossorigin=”anonymous”>
</head>

<style>
     body {
      font-family: Arial, sans-serif;
      margin: 0;
      padding: 0;
      background-color: #000000;
    }

    .container {
      width: 300px;
      margin: 100px auto;
      background-color: #f9f9f9;
      padding: 20px;
      border-radius: 10px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }

    .container h2 {
      text-align: center;
    }

    .container input[type="text"],
    .container input[type="password"] {
      width: 100%;
      padding: 12px 20px;
      margin: 8px 0;
      display: inline-block;
      border: 1px solid #333333;
      box-sizing: border-box;
    }

    .container button {
      background-color: #2e6b31;
      color: #fff;
      padding: 14px 20px;
      margin: 8px 0;
      border: none;
      cursor: pointer;
      width: 100%;
    }
    .warning-message {
        text-align: center;
    }
    .warning-message p{
      color: red;
      font-size: 12px;
    }

<!--    #mesage{-->
<!--    height:50px;-->
<!--    width:1000px;-->
<!--    background-color:white;-->
<!--    margin:50px;-->
<!--    padding:50px;-->
<!--    }-->
  </style>
<script>
  function removeWarning() {
    document.getElementsByClassName("warning-message").item(0).style.display="none"
  }
</script>
<body>

  <div class="container">
    <h2>Login</h2>
    <form method = "post">
      {% csrf_token %}
      <label for="username">Username</label>
      <input type="text" id="username" name="username" placeholder="Enter your username"  oninput="removeWarning()">

      <label for="password">Password</label>
      <input type="password" id="password" name="password" placeholder="Enter your password" oninput="removeWarning()">


      {% for message in messages %}
      <div class="warning-message">
        <p>{{message}}</p>
      </div>
      {% endfor %}

      <button type="submit">Login</button>
      <a href="{% url 'User_reg' %}">create an account</a>
    </form>
  </div>

</body>
</html>
